Package oracle.jdbc.replay

## Enum ReplayableConnection.StatisticsReportType

- java.lang.Object
- - java.lang.Enum<ReplayableConnection.StatisticsReportType>
  - - oracle.jdbc.replay.ReplayableConnection.StatisticsReportType

All Implemented Interfaces:
  `Serializable`, `Comparable<ReplayableConnection.StatisticsReportType>`

Enclosing interface:
  ReplayableConnection

    public static enum ReplayableConnection.StatisticsReportType
    extends Enum<ReplayableConnection.StatisticsReportType>

Statistics report type. This determines whether the statistics reported are for the current connection, or across all connections.

### Enum Constant Summary

Enum Constants
`FOR_ALL_CONNECTIONS` The statistics reported are for all connections known at the time of report generation.
`FOR_CURRENT_CONNECTION` The statistics reported are for the current connection only.

### Method Summary

All Methods Static Methods Concrete Methods
`static ReplayableConnection.StatisticsReportType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ReplayableConnection.StatisticsReportType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FOR_CURRENT_CONNECTION

    public static final ReplayableConnection.StatisticsReportType FOR_CURRENT_CONNECTION

The statistics reported are for the current connection only.

#### FOR_ALL_CONNECTIONS

    public static final ReplayableConnection.StatisticsReportType FOR_ALL_CONNECTIONS

The statistics reported are for all connections known at the time of report generation.

### Method Detail

#### values

    public static ReplayableConnection.StatisticsReportType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReplayableConnection.StatisticsReportType c : ReplayableConnection.StatisticsReportType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReplayableConnection.StatisticsReportType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null